Bug 1599883 - Deployment fails during Gnocchi db_sync due to timing issue
Summary: Deployment fails during Gnocchi db_sync due to timing issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 20:48 UTC by Tim Quinlan
Modified: 2018-08-20 13:04 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 13:02:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:04:03 UTC
OpenStack gerrit 553402 None None None 2018-07-10 20:48:36 UTC

Description Tim Quinlan 2018-07-10 20:48:37 UTC
Description of problem:
Need backport of BZ 1538336 to OSP12.

During an OSP 12 deployment, the deployment fails during Controller Step 4.1 with a non zero return code.

Version-Release number of selected component (if applicable):


How reproducible:
Only fails on initial deployment, succeeds on 2nd attempt


Looking at the logs, it is because the Gnocchi db_sync isn't scoped to just the bootstrap node, and due to a timing issue, runs on the second controller even though the step has already been run on the first.

Running the overcloud deploy command a second time makes it past this step, but for larger environments, a large amount of time is wasted waiting to return to step 4 of the deployment.

Additional Info:
Upstream bug attached

Comment 2 Bogdan Dobrelya 2018-07-11 08:37:44 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1598891#c8 may be related

Comment 9 Sasha Smolyak 2018-08-19 07:59:36 UTC
Doesn't happen anymore, the fix is inside. Verified

Comment 11 errata-xmlrpc 2018-08-20 13:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.